Index: chan_mgcp.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_mgcp.c,v
retrieving revision 1.95
diff -u -r1.95 chan_mgcp.c
--- chan_mgcp.c 17 Nov 2004 19:11:33 -0000 1.95
+++ chan_mgcp.c 5 Dec 2004 20:13:07 -0000
@@ -3109,7 +3109,11 @@
                     if (option_verbose > 2) {
                         ast_verbose(VERBOSE_PREFIX_3 "MGCP handle_request(%s@%s-%d) ast_channel already destroyed\n",
                                     p->name, p->parent->name, sub->id);
- }
+ /* Instruct the other side to remove the connection since it apparently *
+ * still thinks the channel is active. *
+ * For Cisco IAD2421 /BAK/ */
+ transmit_connection_del(sub);
+ }
                 }
             }
             if ((p->hookstate == MGCP_ONHOOK) && (!sub->rtp) && (!sub->next->rtp)) {
